<?php
/**
 * @file
 * Default theming to display a Drupal wall status posts in a drupal
 * block.
 *
 * Available variables:
 *
 * Drupal wall - wall post (object array )
 * - $wall_post : Consisit aray of drupal wall content type wall post of the
 *   desire user.
 *   It contains the Node: nid, uid, created, title, body, comment.
 *   
 * Drupal user information (object array) 
 * - $user_info : Consisit of aray of drupal user basic information.
 *   User info => users ID (uid), name, mail & picture.
 *
 * @see _commune_user_profile_picture($user_id)
 */

  global $base_url;
 ?>

<!-- Drupal wall block : starts here ! -->
<?php if (arg(0) == 'drupal-wall'){ $commune_page = "_global";} else { $commune_page = "";} ?>
<div id="commune_append_older_wall_post<?php print $commune_page;?>">
  <?php
    $i = 0;
    global $user;
    foreach($wall_post as $apost) {
      $post = entity_metadata_wrapper('node', $apost);
      $nid = $post->getIdentifier();
      $type = $post->getBundle();
      $author = $post->author->getIdentifier();;
      $i++;
  ?>
  <div class='drupal_wall' id="<?php print 'commune_post_nid_' . $nid; ?>">
    <!-- Edit - delete button form button: starts here ! -->
     <div class="edit_delete">
      <?php 
        if (user_access('delete any ' . $type . ' content', $user) || (user_access('delete own ' . $type . ' content', $user) && ($user->uid == $author))) {
          $wall_edit_delete = drupal_get_form('_commune_delete_edit_node_form', $nid, $user->uid);
          print drupal_render($wall_edit_delete);
        }
      ?> 
    </div>
    <!-- Edit - delete button: ends here ! -->
      
    <!-- Left Image Icon : starts here ! -->
    <div class='wallContent_left'>
    <?php
      $user_info = user_load($author);
      if (isset($user_info->picture)) :
        print '<a href="' . $base_url . '/user/' . $user_info->uid . '" ><img src="' . _commune_user_profile_picture($user_info->uid) . '" width="50px" /></a>';
      endif;
    ?>
    </div>
    <!-- Left Image Icon : ends here ! -->

    <!-- Wall right content Block : starts here ! -->
    <div class="wallContent_right">
      <!-- Headline Block : Starts here ! -->
      <strong>
        <?php
           if (isset($user_info->name)) :
           print theme('username', array('account' => $user_info));
           endif;
        ?>
      </strong>
      <span class="headline">
        <?php 
        if ($type != 'commune_post') :
          print 'created a <a href="' . $base_url . '/node/' . $nid . '" >new ' . ucfirst($post->getBundle()) . '</a>';
        else :
        if ($post->field_commune_link->value()):
            print 'shared a <a href="' . $base_url . '/node/' . $nid . '" >new link</a>';
          elseif ($post->field_commune_file->value()):
            print 'shared a <a href="' . $base_url . '/node/' . $nid . '" >new file</a>';
          else :
            print 'shared a <a href="' . $base_url . '/node/' . $nid . '" >post</a>';
          endif;
        endif;
        if($apost->context_id) {
          $to = $apost->context_id;
	  if($to && $to != $author) {
	    $user_to = user_load($to);
	    if(isset($user_to->name)) {
	       print ' with ';
	       print theme('username', array('account' => $user_to));
	    }
	  }
        }

        ?>
        <div class="caption">
          <?php
              print date('F j, Y', $post->created->value());
              print ' at ' . date('h:ia', $post->created->value());
          ?>
        </div>
      </span>
      <!-- Headline block : ends here ! -->

      <!-- User Content block : starts here ! -->
      <div class="userContent"> 
         <?php 
              print($post->body->value->value());
         ?>
      </div>
       <!-- User Content block : ends here ! -->

       <!-- User Photo block : starts here ! -->
       <?php
        if ($post->field_commune_file->value()):
        ?>
       <div class="photo_status">
          <?php
            $file = $post->field_commune_file->value();
            $fid = $file['fid'];
            $img_link_path = _commune_status_picture($fid);
            $image_file = file_load($fid);
            if (is_object($image_file)) {
                print "<a href='$img_link_path' class='wall-embed'>" . $img_link_path . '</a>';
            }
        ?>
       </div>
       <?php endif; ?>
        <!-- User Photo block : ends here ! -->

	<!-- Youtube video block : starts here ! -->
        <?php
        $url = $post->field_commune_link->value();
        if (isset($url) && $url != '') :
        ?>
        <div class="video_status">
          <?php
            print "<a href='$url' class='wall-embed'>" . $url . '</a>';
          ?>
        </div>
        <?php endif; ?>
        <!-- Youtube video : ends here ! -->

        <!-- Likes block : starts here ! -->
         <?php
            $flag_name = variable_get('commune_likes_node');
            $flag_type = flag_get_flag($flag_name);
            if ($user->uid != 0 && $type == 'commune_post') :
            if(module_exists('flag') && variable_get('commune_likes_post') == 1 && $flag_type != NULL) :  ?>
          <div class="likes" style="height:15px">
            <?php
              if ($flag_type != NULL && in_array('commune_post', $flag_type->types)) :
                print flag_create_link($flag_name, $nid);
              endif;

              $count_flag = flag_get_counts('node', $nid);
              if (isset($count_flag[$flag_name]) && $count_flag[$flag_name] > 0) :
                print $count_flag[$flag_name] . ' people like this.';
              endif;
            ?>
            </div>
            <?php endif;
            endif;
             ?>
        <!-- Likes block : ends here ! -->

        <!-- Comment Block : Starts here ! -->
        <?php
          $count_comments = $post->comment_count->value();
          if ($count_comments > 0) :
        ?>
            <div class="commentView">
              <?php print '<a href="' . $base_url . '/node/' . $nid . '#comments" >View all ' . $count_comments . ' comments</a>'; ?>
            </div>
       	    <?php 
              for ($key = 0; $key < $count_comments && $key < 7; $key++) :
             ?>
                <div class="comment" id="<?php print 'commune_comment_cid_' . $post->comments[$key]->cid; ?>">
                  <div class="comment_left">
                    <?php
                      $comment = $post->comments[$key];
                      //dpm($comment->getPropertyInfo());
                      $friend_id = $comment->author->getIdentifier();
                      if (isset($friend_id) && _commune_user_profile_picture($friend_id) != FALSE) :
                        print '<a href="' . $base_url . '/user/' . $friend_id . '" ><img src="' . _commune_user_profile_picture($friend_id) . '" width="32px"></a>';
                      endif;
                    ?>
                  </div> <!-- comment left block -->
                  
                  <div class="comment_right">
                    <!-- Delete Comment Block : Starts here ! -->
                    <div class="comment_delete">
                      <?php
                       $wall_delete = drupal_get_form('_commune_delete_comment_form', $comment->getIdentifier(), $friend_id);
		       print drupal_render($wall_delete); ?>
		    </div>
		    <!-- Delete Comment Block : ends here ! -->
			
		    <strong>
		      <?php
			if ($comment->name->value()) :
			  print '<a href="' . $base_url . '/user/' . $friend_id . '">' . ucwords($comment->name->value()) . '</a> ';
			endif;
		      ?>
		    </strong>
		    <?php
		      if ($comment->comment_body->value()) :
                        print strip_tags($comment->comment_body->value->value());
                      endif;
		    ?>
                    <div class="caption">
                      <?php
                       if ($comment->created->value()) :
                          print date('F j, Y', $comment->created->value());
                          print ' at ' . date('h:ia', $comment->created->value());
                       endif;
                       // Liking option for Comments.
                       if(module_exists('flag') && variable_get('commune_likes_post') == 1) :
                         $comment_flag_name = variable_get('commune_likes_comment');
                         $commment_count_flag = flag_get_counts('comment', $comment->getIdentifier());
                         if (isset($commment_count_flag[$comment_flag_name]) && $commment_count_flag[$comment_flag_name] > 0) :
                           print '<span class="like_comment">' . $commment_count_flag[$comment_flag_name] . '&nbsp;';
                         endif;

                         $commment_flag_type = flag_get_flag($comment_flag_name);
                         if ($commment_flag_type != NULL && in_array('comment_node_commune', $commment_flag_type->types)) :
                           print flag_create_link($comment_flag_name, $comment->getIdentifier()) . '</span>';
                         endif;
                       endif;
                      ?>
                    </div> <!-- caption -->
                  </div> <!-- comment right div -->
               </div>
            <?php
                endfor;
            endif;
              // End outer if.
            ?>
            <!-- Comment Block : Ends here ! -->
            <!-- For AJAX comment post -->
            <div id="div_append_next_user_comment_<?php echo $nid; ?>">
            </div>
            <!-- For AJAX comment post : Ends here-->

          <!-- write a comment Block : starts here ! -->
          <?php 
            if ($user->uid != 0 && variable_get('commune_comment_post_textbox') == 1) :
          ?>
          <div class="comment">
            <div class="comment_left">
              <?php
                if (_commune_user_profile_picture($user->uid) != FALSE) :
                  print '<img src="' . _commune_user_profile_picture($user->uid) . '" width="32px">';
                endif;
              ?>
            </div>
            <div class="comment_right">
              <?php
               $wall_comment_post = drupal_get_form('_commune_comment_post_form', $nid, $user->uid);
               print drupal_render($wall_comment_post); ?>
            </div>
          </div>
          <?php
            endif;
              // End outer if.
          ?>
       <!-- write a comment Block: Ends here ! -->
</div>
</div>
            
             <?php }; ?>
</div>
<!-- Drupal wall block : ends here ! -->
